Index: ./devel/Renaissance/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/Renaissance/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/Renaissance/buildlink3.mk	5 Feb 2006 23:08:39 -0000	1.4
+++ ./devel/Renaissance/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Renaissance
 
 .if !empty(RENAISSANCE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Renaissance+=		Renaissance>=0.7.0
-BUILDLINK_RECOMMENDED.Renaissance+=	Renaissance>=0.8.0nb4
+BUILDLINK_API_DEPENDS.Renaissance+=		Renaissance>=0.7.0
+BUILDLINK_ABI_DEPENDS.Renaissance+=	Renaissance>=0.8.0nb4
 BUILDLINK_PKGSRCDIR.Renaissance?=	../../devel/Renaissance
 .endif	# RENAISSANCE_BUILDLINK3_MK
 
Index: ./devel/SDL/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/SDL/buildlink3.mk,v
retrieving revision 1.14
diff -u -r1.14 buildlink3.mk
--- ./devel/SDL/buildlink3.mk	5 Feb 2006 23:08:39 -0000	1.14
+++ ./devel/SDL/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	SDL
 
 .if !empty(SDL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.SDL+=		SDL>=1.2.5nb5
-BUILDLINK_RECOMMENDED.SDL+=	SDL>=1.2.9nb2
+BUILDLINK_API_DEPENDS.SDL+=		SDL>=1.2.5nb5
+BUILDLINK_ABI_DEPENDS.SDL+=	SDL>=1.2.9nb2
 BUILDLINK_PKGSRCDIR.SDL?=	../../devel/SDL
 .endif	# SDL_BUILDLINK3_MK
 
Index: ./devel/SDL_gfx/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/SDL_gfx/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/SDL_gfx/buildlink3.mk	5 Feb 2006 23:08:39 -0000	1.4
+++ ./devel/SDL_gfx/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	SDL_gfx
 
 .if !empty(SDL_GFX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.SDL_gfx+=	SDL_gfx>=2.0.3nb2
-BUILDLINK_RECOMMENDED.SDL_gfx?=	SDL_gfx>=2.0.13nb3
+BUILDLINK_API_DEPENDS.SDL_gfx+=	SDL_gfx>=2.0.3nb2
+BUILDLINK_ABI_DEPENDS.SDL_gfx?=	SDL_gfx>=2.0.13nb3
 BUILDLINK_PKGSRCDIR.SDL_gfx?=	../../devel/SDL_gfx
 .endif	# SDL_GFX_BUILDLINK3_MK
 
Index: ./devel/SDL_ttf/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/SDL_ttf/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./devel/SDL_ttf/buildlink3.mk	6 Feb 2006 23:16:07 -0000	1.5
+++ ./devel/SDL_ttf/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	SDL_ttf
 
 .if !empty(SDL_TTF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.SDL_ttf+=	SDL_ttf>=2.0.3nb3
-BUILDLINK_RECOMMENDED.SDL_ttf?=	SDL_ttf>=2.0.7nb3
+BUILDLINK_API_DEPENDS.SDL_ttf+=	SDL_ttf>=2.0.3nb3
+BUILDLINK_ABI_DEPENDS.SDL_ttf?=	SDL_ttf>=2.0.7nb3
 BUILDLINK_PKGSRCDIR.SDL_ttf?=	../../devel/SDL_ttf
 .endif	# SDL_TTF_BUILDLINK3_MK
 
Index: ./devel/SDLmm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/SDLmm/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/SDLmm/buildlink3.mk	5 Feb 2006 23:08:39 -0000	1.4
+++ ./devel/SDLmm/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	SDLmm
 
 .if !empty(SDLMM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.SDLmm+=	SDLmm>=0.1.8nb1
-BUILDLINK_RECOMMENDED.SDLmm?=	SDLmm>=0.1.8nb5
+BUILDLINK_API_DEPENDS.SDLmm+=	SDLmm>=0.1.8nb1
+BUILDLINK_ABI_DEPENDS.SDLmm?=	SDLmm>=0.1.8nb5
 BUILDLINK_PKGSRCDIR.SDLmm?=	../../devel/SDLmm
 .endif	# SDLMM_BUILDLINK3_MK
 
Index: ./devel/allegro/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/allegro/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/allegro/buildlink3.mk	5 Feb 2006 23:08:39 -0000	1.4
+++ ./devel/allegro/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	allegro
 
 .if !empty(ALLEGRO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.allegro+=	allegro>=4.1.13
-BUILDLINK_RECOMMENDED.allegro?=	allegro>=4.2.0nb1
+BUILDLINK_API_DEPENDS.allegro+=	allegro>=4.1.13
+BUILDLINK_ABI_DEPENDS.allegro?=	allegro>=4.2.0nb1
 BUILDLINK_PKGSRCDIR.allegro?=	../../devel/allegro
 .endif	# ALLEGRO_BUILDLINK3_MK
 
Index: ./devel/apr/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/apr/buildlink3.mk,v
retrieving revision 1.20
diff -u -r1.20 buildlink3.mk
--- ./devel/apr/buildlink3.mk	5 Feb 2006 23:08:39 -0000	1.20
+++ ./devel/apr/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	apr
 
 .if !empty(APR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.apr+=	apr>=0.9.5.2.0.51nb1
-BUILDLINK_RECOMMENDED.apr+=	apr>=0.9.7.2.0.55nb2
+BUILDLINK_API_DEPENDS.apr+=	apr>=0.9.5.2.0.51nb1
+BUILDLINK_ABI_DEPENDS.apr+=	apr>=0.9.7.2.0.55nb2
 BUILDLINK_PKGSRCDIR.apr?=	../../devel/apr
 
 WRAPPER_REORDER_CMDS+=	reorder:l:aprutil-0:crypt
Index: ./devel/at-spi/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/at-spi/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./devel/at-spi/buildlink3.mk	5 Feb 2006 23:08:39 -0000	1.9
+++ ./devel/at-spi/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	at-spi
 
 .if !empty(AT_SPI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.at-spi+=	at-spi>=1.6.0
-BUILDLINK_RECOMMENDED.at-spi+=	at-spi>=1.6.6nb2
+BUILDLINK_API_DEPENDS.at-spi+=	at-spi>=1.6.0
+BUILDLINK_ABI_DEPENDS.at-spi+=	at-spi>=1.6.6nb2
 BUILDLINK_PKGSRCDIR.at-spi?=	../../devel/at-spi
 .endif	# AT_SPI_BUILDLINK3_MK
 
Index: ./devel/atk/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/atk/Makefile,v
retrieving revision 1.45
diff -u -r1.45 Makefile
--- ./devel/atk/Makefile	10 Mar 2006 07:35:12 -0000	1.45
+++ ./devel/atk/Makefile	4 Apr 2006 06:26:51 -0000
@@ -28,7 +28,7 @@
 # glib-mkenums overflows a 2048kb stack on atkobject.h
 UNLIMIT_RESOURCES=	stacksize
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.6.3
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.6.3
 
 .include "../../devel/gettext-lib/buildlink3.mk"
 .include "../../devel/glib2/buildlink3.mk"
Index: ./devel/atk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/atk/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./devel/atk/buildlink3.mk	5 Feb 2006 23:08:39 -0000	1.8
+++ ./devel/atk/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	atk
 
 .if !empty(ATK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.atk+=		atk>=1.8.0
-BUILDLINK_RECOMMENDED.atk+=	atk>=1.10.3nb1
+BUILDLINK_API_DEPENDS.atk+=		atk>=1.8.0
+BUILDLINK_ABI_DEPENDS.atk+=	atk>=1.10.3nb1
 BUILDLINK_PKGSRCDIR.atk?=	../../devel/atk
 .endif	# ATK_BUILDLINK3_MK
 
Index: ./devel/bglibs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/bglibs/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./devel/bglibs/buildlink3.mk	20 Feb 2006 02:59:52 -0000	1.5
+++ ./devel/bglibs/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	bglibs
 
 .if !empty(BGLIBS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.bglibs+=	bglibs>=1.040
+BUILDLINK_API_DEPENDS.bglibs+=	bglibs>=1.040
 BUILDLINK_PKGSRCDIR.bglibs?=	../../devel/bglibs
 BUILDLINK_DEPMETHOD.bglibs?=	build
 .endif	# BGLIBS_BUILDLINK3_MK
Index: ./devel/binutils/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/binutils/buildlink3.mk,v
retrieving revision 1.15
diff -u -r1.15 buildlink3.mk
--- ./devel/binutils/buildlink3.mk	30 Jun 2004 16:18:03 -0000	1.15
+++ ./devel/binutils/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	binutils
 
 .if !empty(BINUTILS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.binutils+=		binutils>=2.15.0
+BUILDLINK_API_DEPENDS.binutils+=		binutils>=2.15.0
 BUILDLINK_PKGSRCDIR.binutils?=		../../devel/binutils
 BUILDLINK_DEPMETHOD.binutils?=		build
 .endif	# BINUTILS_BUILDLINK3_MK
Index: ./devel/binutils/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/binutils/builtin.mk,v
retrieving revision 1.3
diff -u -r1.3 builtin.mk
--- ./devel/binutils/builtin.mk	1 Jun 2005 18:02:43 -0000	1.3
+++ ./devel/binutils/builtin.mk	4 Apr 2006 06:26:51 -0000
@@ -22,7 +22,7 @@
 .    if defined(BUILTIN_PKG.binutils) && \
         !empty(IS_BUILTIN.binutils:M[yY][eE][sS])
 USE_BUILTIN.binutils=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.binutils}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.binutils}
 .        if !empty(USE_BUILTIN.binutils:M[yY][eE][sS])
 USE_BUILTIN.binutils!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.binutils:Q}; then \
Index: ./devel/blib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/blib/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/blib/buildlink3.mk	5 Feb 2006 23:08:39 -0000	1.4
+++ ./devel/blib/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	blib
 
 .if !empty(BLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.blib+=	blib>=1.0.2nb1
-BUILDLINK_RECOMMENDED.blib+=	blib>=1.0.2nb4
+BUILDLINK_API_DEPENDS.blib+=	blib>=1.0.2nb1
+BUILDLINK_ABI_DEPENDS.blib+=	blib>=1.0.2nb4
 BUILDLINK_PKGSRCDIR.blib?=	../../devel/blib
 .endif	# BLIB_BUILDLINK3_MK
 
Index: ./devel/boehm-gc/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/boehm-gc/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./devel/boehm-gc/buildlink3.mk	5 Feb 2006 23:08:39 -0000	1.8
+++ ./devel/boehm-gc/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	boehm-gc
 
 .if !empty(BOEHM_GC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.boehm-gc+=	boehm-gc>=6.3nb1
-BUILDLINK_RECOMMENDED.boehm-gc+=	boehm-gc>=6.6nb1
+BUILDLINK_API_DEPENDS.boehm-gc+=	boehm-gc>=6.3nb1
+BUILDLINK_ABI_DEPENDS.boehm-gc+=	boehm-gc>=6.6nb1
 BUILDLINK_PKGSRCDIR.boehm-gc?=	../../devel/boehm-gc
 .endif	# BOEHM_GC_BUILDLINK3_MK
 
Index: ./devel/bonobo/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/bonobo/Makefile,v
retrieving revision 1.55
diff -u -r1.55 Makefile
--- ./devel/bonobo/Makefile	4 Mar 2006 21:29:12 -0000	1.55
+++ ./devel/bonobo/Makefile	4 Apr 2006 06:26:51 -0000
@@ -12,7 +12,7 @@
 
 BUILD_DEPENDS+=		bison-[0-9]*:../../devel/bison
 
-BUILDLINK_DEPENDS.libxml=	libxml>1.8.15
+BUILDLINK_API_DEPENDS.libxml=	libxml>1.8.15
 
 BROKEN_GETTEXT_DETECTION=	yes
 BUILD_USES_MSGFMT=	yes
Index: ./devel/bonobo/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/bonobo/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/bonobo/buildlink3.mk	5 Feb 2006 23:08:40 -0000	1.3
+++ ./devel/bonobo/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	bonobo
 
 .if !empty(BONOBO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.bonobo+=	bonobo>=1.0.18nb7
-BUILDLINK_RECOMMENDED.bonobo+=	bonobo>=1.0.22nb1
+BUILDLINK_API_DEPENDS.bonobo+=	bonobo>=1.0.18nb7
+BUILDLINK_ABI_DEPENDS.bonobo+=	bonobo>=1.0.22nb1
 BUILDLINK_PKGSRCDIR.bonobo?=	../../devel/bonobo
 .endif	# BONOBO_BUILDLINK3_MK
 
Index: ./devel/boost-build/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/boost-build/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/boost-build/buildlink3.mk	22 Sep 2005 22:06:08 -0000	1.3
+++ ./devel/boost-build/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	boost-build
 
 .if !empty(BOOST_BUILD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.boost-build+=		boost-build-1.33.*
+BUILDLINK_API_DEPENDS.boost-build+=		boost-build-1.33.*
 BUILDLINK_DEPMETHOD.boost-build?=	build
 BUILDLINK_PKGSRCDIR.boost-build?=	../../devel/boost-build
 .endif	# BOOST_BUILD_BUILDLINK3_MK
Index: ./devel/boost-headers/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/boost-headers/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/boost-headers/buildlink3.mk	12 Aug 2005 20:58:45 -0000	1.4
+++ ./devel/boost-headers/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -12,7 +12,7 @@
 
 .if !empty(BOOST_HEADERS_BUILDLINK3_MK:M+)
 # Use a dependency pattern that guarantees the proper ABI.
-BUILDLINK_DEPENDS.boost-headers+=	boost-headers-1.33.*
+BUILDLINK_API_DEPENDS.boost-headers+=	boost-headers-1.33.*
 BUILDLINK_DEPMETHOD.boost-headers?=	build
 BUILDLINK_PKGSRCDIR.boost-headers?=	../../devel/boost-headers
 .endif	# BOOST_HEADERS_BUILDLINK3_MK
Index: ./devel/boost-libs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/boost-libs/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/boost-libs/buildlink3.mk	12 Aug 2005 20:58:45 -0000	1.4
+++ ./devel/boost-libs/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -12,7 +12,7 @@
 
 .if !empty(BOOST_LIBS_BUILDLINK3_MK:M+)
 # Use a dependency pattern that guarantees the proper ABI.
-BUILDLINK_DEPENDS.boost-libs+=		boost-libs-1.33.*
+BUILDLINK_API_DEPENDS.boost-libs+=		boost-libs-1.33.*
 BUILDLINK_PKGSRCDIR.boost-libs?=	../../devel/boost-libs
 .endif	# BOOST_LIBS_BUILDLINK3_MK
 
Index: ./devel/boost-python/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/boost-python/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./devel/boost-python/buildlink3.mk	5 Feb 2006 23:08:40 -0000	1.6
+++ ./devel/boost-python/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -12,8 +12,8 @@
 
 .if !empty(BOOST_PYTHON_BUILDLINK3_MK:M+)
 # Use a dependency pattern that guarantees the proper ABI.
-BUILDLINK_DEPENDS.boost-python+=	boost-python-1.33.*
-BUILDLINK_RECOMMENDED.boost-python?=	boost-python>=1.33.1nb1
+BUILDLINK_API_DEPENDS.boost-python+=	boost-python-1.33.*
+BUILDLINK_ABI_DEPENDS.boost-python?=	boost-python>=1.33.1nb1
 BUILDLINK_PKGSRCDIR.boost-python?=	../../devel/boost-python
 
 .include "../../devel/boost-headers/buildlink3.mk"
Index: ./devel/buddy/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/buddy/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/buddy/buildlink3.mk	14 Mar 2006 20:23:07 -0000	1.2
+++ ./devel/buddy/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	buddy
 
 .if !empty(BUDDY_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.buddy+=	buddy>=2.4
+BUILDLINK_API_DEPENDS.buddy+=	buddy>=2.4
 BUILDLINK_PKGSRCDIR.buddy?=	../../devel/buddy
 .endif	# BUDDY_BUILDLINK3_MK
 
Index: ./devel/buildtool/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/buildtool/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./devel/buildtool/buildlink3.mk	5 Dec 2005 23:55:05 -0000	1.7
+++ ./devel/buildtool/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	buildtool
 
 .if !empty(BUILDTOOL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.buildtool+=	buildtool>=0.16
+BUILDLINK_API_DEPENDS.buildtool+=	buildtool>=0.16
 BUILDLINK_PKGSRCDIR.buildtool?=	../../devel/buildtool
 BUILDLINK_DEPMETHOD.buildtool?=	build
 
Index: ./devel/cdk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/cdk/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/cdk/buildlink3.mk	3 Oct 2004 00:13:25 -0000	1.2
+++ ./devel/cdk/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	cdk
 
 .if !empty(CDK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cdk+=		cdk>=4.9.9nb1
-BUILDLINK_RECOMMENDED.cdk+=	cdk>=4.9.9nb2
+BUILDLINK_API_DEPENDS.cdk+=		cdk>=4.9.9nb1
+BUILDLINK_ABI_DEPENDS.cdk+=	cdk>=4.9.9nb2
 BUILDLINK_PKGSRCDIR.cdk?=	../../devel/cdk
 .endif	# CDK_BUILDLINK3_MK
 
Index: ./devel/cdk/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/cdk/builtin.mk,v
retrieving revision 1.2
diff -u -r1.2 builtin.mk
--- ./devel/cdk/builtin.mk	1 Jun 2005 18:02:43 -0000	1.2
+++ ./devel/cdk/builtin.mk	4 Apr 2006 06:26:51 -0000
@@ -31,7 +31,7 @@
 .    if defined(BUILTIN_PKG.cdk) && \
         !empty(IS_BUILTIN.cdk:M[yY][eE][sS])
 USE_BUILTIN.cdk=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.cdk}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.cdk}
 .        if !empty(USE_BUILTIN.cdk:M[yY][eE][sS])
 USE_BUILTIN.cdk!=							\
         if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.cdk:Q}; then	\
Index: ./devel/chmlib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/chmlib/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./devel/chmlib/buildlink3.mk	5 Feb 2006 23:08:40 -0000	1.5
+++ ./devel/chmlib/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	chmlib
 
 .if !empty(CHMLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.chmlib+=	chmlib>=0.31
-BUILDLINK_RECOMMENDED.chmlib+=	chmlib>=0.37.4nb2
+BUILDLINK_API_DEPENDS.chmlib+=	chmlib>=0.31
+BUILDLINK_ABI_DEPENDS.chmlib+=	chmlib>=0.37.4nb2
 BUILDLINK_PKGSRCDIR.chmlib?=	../../devel/chmlib
 .endif	# CHMLIB_BUILDLINK3_MK
 
Index: ./devel/cmake/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/cmake/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/cmake/buildlink3.mk	5 Feb 2006 23:08:40 -0000	1.2
+++ ./devel/cmake/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	cmake
 
 .if !empty(CMAKE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cmake+=	cmake>=2.0.2
-BUILDLINK_RECOMMENDED.cmake?=	cmake>=2.0.5nb2
+BUILDLINK_API_DEPENDS.cmake+=	cmake>=2.0.2
+BUILDLINK_ABI_DEPENDS.cmake?=	cmake>=2.0.5nb2
 BUILDLINK_PKGSRCDIR.cmake?=	../../devel/cmake
 BUILDLINK_DEPMETHOD.cmake?=	build
 .endif	# CMAKE_BUILDLINK3_MK
Index: ./devel/cppunit/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/cppunit/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/cppunit/buildlink3.mk	5 Feb 2006 23:08:40 -0000	1.3
+++ ./devel/cppunit/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	cppunit
 
 .if !empty(CPPUNIT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cppunit+=	cppunit>=1.10.2
-BUILDLINK_RECOMMENDED.cppunit?=	cppunit>=1.10.2nb5
+BUILDLINK_API_DEPENDS.cppunit+=	cppunit>=1.10.2
+BUILDLINK_ABI_DEPENDS.cppunit?=	cppunit>=1.10.2nb5
 BUILDLINK_PKGSRCDIR.cppunit?=	../../devel/cppunit
 BUILDLINK_CPPFLAGS.cppunit+=	-I${BUILDLINK_PREFIX.cppunit}/include/cppunit
 .endif	# CPPUNIT_BUILDLINK3_MK
Index: ./devel/darts/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/darts/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./devel/darts/buildlink3.mk	8 May 2004 21:34:43 -0000	1.2
+++ ./devel/darts/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -13,7 +13,7 @@
 BUILDLINK_PACKAGES+=	darts
 
 .if !empty(DARTS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.darts+=	darts>=0.2
+BUILDLINK_API_DEPENDS.darts+=	darts>=0.2
 BUILDLINK_PKGSRCDIR.darts?=	../../devel/darts
 .endif	# DARTS_BUILDLINK3_MK
 
Index: ./devel/devIL/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/devIL/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./devel/devIL/buildlink3.mk	5 Feb 2006 23:08:41 -0000	1.7
+++ ./devel/devIL/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	devIL
 
 .if !empty(DEVIL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.devIL+=	devIL>=1.6.6nb1
-BUILDLINK_RECOMMENDED.devIL+=	devIL>=1.6.6nb6
+BUILDLINK_API_DEPENDS.devIL+=	devIL>=1.6.6nb1
+BUILDLINK_ABI_DEPENDS.devIL+=	devIL>=1.6.6nb6
 BUILDLINK_PKGSRCDIR.devIL?=	../../devel/devIL
 .endif	# DEVIL_BUILDLINK3_MK
 
Index: ./devel/dlcompat/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/dlcompat/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./devel/dlcompat/buildlink3.mk	26 Nov 2004 09:39:30 -0000	1.7
+++ ./devel/dlcompat/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	dlcompat
 
 .if !empty(DLCOMPAT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.dlcompat+=	dlcompat>=20030629
+BUILDLINK_API_DEPENDS.dlcompat+=	dlcompat>=20030629
 BUILDLINK_PKGSRCDIR.dlcompat?=	../../devel/dlcompat
 .endif  # DLCOMPAT_BUILDLINK3_MK
 
Index: ./devel/dlcompat/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/dlcompat/builtin.mk,v
retrieving revision 1.7
diff -u -r1.7 builtin.mk
--- ./devel/dlcompat/builtin.mk	1 Jun 2005 20:35:41 -0000	1.7
+++ ./devel/dlcompat/builtin.mk	4 Apr 2006 06:26:51 -0000
@@ -46,7 +46,7 @@
 .    if defined(BUILTIN_PKG.dlcompat) && \
         !empty(IS_BUILTIN.dlcompat:M[yY][eE][sS])
 USE_BUILTIN.dlcompat=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.dlcompat}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.dlcompat}
 .        if !empty(USE_BUILTIN.dlcompat:M[yY][eE][sS])
 USE_BUILTIN.dlcompat!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.dlcompat:Q}; then \
Index: ./devel/dmalloc/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/dmalloc/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./devel/dmalloc/buildlink3.mk	27 Apr 2004 03:09:58 -0000	1.1
+++ ./devel/dmalloc/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	dmalloc
 
 .if !empty(DMALLOC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.dmalloc+=	dmalloc>=4.8.2nb2
+BUILDLINK_API_DEPENDS.dmalloc+=	dmalloc>=4.8.2nb2
 BUILDLINK_PKGSRCDIR.dmalloc?=	../../devel/dmalloc
 BUILDLINK_DEPMETHOD.dmalloc?=	build
 .endif	# DMALLOC_BUILDLINK3_MK
Index: ./devel/edcommon/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/edcommon/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/edcommon/buildlink3.mk	5 Feb 2006 23:08:41 -0000	1.3
+++ ./devel/edcommon/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	edcommon
 
 .if !empty(EDCOMMON_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.edcommon+=	edcommon>=32
-BUILDLINK_RECOMMENDED.edcommon?=	edcommon>=32nb2
+BUILDLINK_API_DEPENDS.edcommon+=	edcommon>=32
+BUILDLINK_ABI_DEPENDS.edcommon?=	edcommon>=32nb2
 BUILDLINK_PKGSRCDIR.edcommon?=	../../devel/edcommon
 .endif	# EDCOMMON_BUILDLINK3_MK
 
Index: ./devel/eel2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/eel2/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./devel/eel2/buildlink3.mk	5 Feb 2006 23:08:41 -0000	1.12
+++ ./devel/eel2/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	eel2
 
 .if !empty(EEL2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.eel2+=	eel2>=2.10.0
-BUILDLINK_RECOMMENDED.eel2?=	eel2>=2.12.2nb2
+BUILDLINK_API_DEPENDS.eel2+=	eel2>=2.10.0
+BUILDLINK_ABI_DEPENDS.eel2?=	eel2>=2.12.2nb2
 BUILDLINK_PKGSRCDIR.eel2?=	../../devel/eel2
 .endif	# EEL2_BUILDLINK3_MK
 
Index: ./devel/eet/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/eet/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/eet/buildlink3.mk	15 Oct 2004 11:31:48 -0000	1.3
+++ ./devel/eet/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	eet
 
 .if !empty(EET_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.eet+=	eet>=0.9.9
+BUILDLINK_API_DEPENDS.eet+=	eet>=0.9.9
 BUILDLINK_PKGSRCDIR.eet?=	../../devel/eet
 .endif	# EET_BUILDLINK3_MK
 
Index: ./devel/ffcall/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/ffcall/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/ffcall/buildlink3.mk	3 Oct 2004 00:13:26 -0000	1.3
+++ ./devel/ffcall/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ffcall
 
 .if !empty(FFCALL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ffcall+=	ffcall>=1.9
-BUILDLINK_RECOMMENDED.ffcall+=	ffcall>=1.10nb1
+BUILDLINK_API_DEPENDS.ffcall+=	ffcall>=1.9
+BUILDLINK_ABI_DEPENDS.ffcall+=	ffcall>=1.10nb1
 BUILDLINK_PKGSRCDIR.ffcall?=	../../devel/ffcall
 .endif	# FFCALL_BUILDLINK3_MK
 
Index: ./devel/flex/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/flex/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./devel/flex/buildlink3.mk	27 Apr 2004 21:00:14 -0000	1.1
+++ ./devel/flex/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -12,7 +12,7 @@
 BUILDLINK_PACKAGES+=	flex
 
 .if !empty(FLEX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.flex+=	flex>=2.5.4a
+BUILDLINK_API_DEPENDS.flex+=	flex>=2.5.4a
 BUILDLINK_PKGSRCDIR.flex?=	../../devel/flex
 BUILDLINK_DEPMETHOD.flex?=	build
 .endif	# FLEX_BUILDLINK3_MK
Index: ./devel/florist/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/florist/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/florist/buildlink3.mk	5 Feb 2006 23:08:42 -0000	1.4
+++ ./devel/florist/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	florist
 
 .if !empty(FLORIST_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.florist+=	florist>=3.15p
-BUILDLINK_RECOMMENDED.florist?=	florist>=3.15pnb2
+BUILDLINK_API_DEPENDS.florist+=	florist>=3.15p
+BUILDLINK_ABI_DEPENDS.florist?=	florist>=3.15pnb2
 BUILDLINK_PKGSRCDIR.florist?=	../../devel/florist
 .endif	# FLORIST_BUILDLINK3_MK
 
Index: ./devel/g-wrap/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/g-wrap/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./devel/g-wrap/buildlink3.mk	5 Feb 2006 23:08:42 -0000	1.6
+++ ./devel/g-wrap/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	g-wrap
 
 .if !empty(G_WRAP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.g-wrap+=	g-wrap>=1.9.5
-BUILDLINK_RECOMMENDED.g-wrap?=	g-wrap>=1.9.6nb1
+BUILDLINK_API_DEPENDS.g-wrap+=	g-wrap>=1.9.5
+BUILDLINK_ABI_DEPENDS.g-wrap?=	g-wrap>=1.9.6nb1
 BUILDLINK_PKGSRCDIR.g-wrap?=	../../devel/g-wrap
 .endif	# G_WRAP_BUILDLINK3_MK
 
Index: ./devel/g-wrap1/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/g-wrap1/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/g-wrap1/buildlink3.mk	5 Feb 2006 23:08:42 -0000	1.3
+++ ./devel/g-wrap1/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,9 +11,9 @@
 BUILDLINK_PACKAGES+=	g-wrap
 
 .if !empty(G_WRAP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.g-wrap+=	g-wrap>=1.3.4nb6
-BUILDLINK_DEPENDS.g-wrap+=	g-wrap<1.4
-BUILDLINK_RECOMMENDED.g-wrap?=	g-wrap>=1.3.4nb7
+BUILDLINK_API_DEPENDS.g-wrap+=	g-wrap>=1.3.4nb6
+BUILDLINK_API_DEPENDS.g-wrap+=	g-wrap<1.4
+BUILDLINK_ABI_DEPENDS.g-wrap?=	g-wrap>=1.3.4nb7
 BUILDLINK_PKGSRCDIR.g-wrap?=	../../devel/g-wrap1
 .endif	# G_WRAP_BUILDLINK3_MK
 
Index: ./devel/gail/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gail/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./devel/gail/buildlink3.mk	5 Feb 2006 23:08:42 -0000	1.8
+++ ./devel/gail/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gail
 
 .if !empty(GAIL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gail+=	gail>=1.8.0
-BUILDLINK_RECOMMENDED.gail+=	gail>=1.8.8nb2
+BUILDLINK_API_DEPENDS.gail+=	gail>=1.8.0
+BUILDLINK_ABI_DEPENDS.gail+=	gail>=1.8.8nb2
 BUILDLINK_PKGSRCDIR.gail?=	../../devel/gail
 .endif	# GAIL_BUILDLINK3_MK
 
Index: ./devel/gal/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gal/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./devel/gal/buildlink3.mk	5 Feb 2006 23:08:42 -0000	1.5
+++ ./devel/gal/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gal
 
 .if !empty(GAL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gal+=	gal>=0.22nb6
-BUILDLINK_RECOMMENDED.gal?=	gal>=0.24nb2
+BUILDLINK_API_DEPENDS.gal+=	gal>=0.22nb6
+BUILDLINK_ABI_DEPENDS.gal?=	gal>=0.24nb2
 BUILDLINK_PKGSRCDIR.gal?=	../../devel/gal
 .endif	# GAL_BUILDLINK3_MK
 
Index: ./devel/gal2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gal2/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./devel/gal2/buildlink3.mk	5 Feb 2006 23:08:42 -0000	1.11
+++ ./devel/gal2/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,9 +11,9 @@
 BUILDLINK_PACKAGES+=	gal2
 
 .if !empty(GAL2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gal2+=	gal2>=2.4.0
-BUILDLINK_DEPENDS.gal2+=	gal2<2.5.0
-BUILDLINK_RECOMMENDED.gal2?=	gal2>=2.4.3nb3
+BUILDLINK_API_DEPENDS.gal2+=	gal2>=2.4.0
+BUILDLINK_API_DEPENDS.gal2+=	gal2<2.5.0
+BUILDLINK_ABI_DEPENDS.gal2?=	gal2>=2.4.3nb3
 BUILDLINK_PKGSRCDIR.gal2?=	../../devel/gal2
 .endif	# GAL2_BUILDLINK3_MK
 
Index: ./devel/gal20/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gal20/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./devel/gal20/buildlink3.mk	5 Feb 2006 23:08:42 -0000	1.4
+++ ./devel/gal20/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gal20
 
 .if !empty(GAL20_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gal20+=	gal20>=1.99.11
-BUILDLINK_RECOMMENDED.gal20?=	gal20>=1.99.11nb5
+BUILDLINK_API_DEPENDS.gal20+=	gal20>=1.99.11
+BUILDLINK_ABI_DEPENDS.gal20?=	gal20>=1.99.11nb5
 BUILDLINK_PKGSRCDIR.gal20?=	../../devel/gal20
 .endif	# GAL20_BUILDLINK3_MK
 
Index: ./devel/gconfmm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gconfmm/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./devel/gconfmm/buildlink3.mk	5 Feb 2006 23:08:42 -0000	1.5
+++ ./devel/gconfmm/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gconfmm
 
 .if !empty(GCONFMM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gconfmm+=	gconfmm>=2.10.0
-BUILDLINK_RECOMMENDED.gconfmm?=	gconfmm>=2.12.0nb2
+BUILDLINK_API_DEPENDS.gconfmm+=	gconfmm>=2.10.0
+BUILDLINK_ABI_DEPENDS.gconfmm?=	gconfmm>=2.12.0nb2
 BUILDLINK_PKGSRCDIR.gconfmm?=	../../devel/gconfmm
 .endif	# GCONFMM_BUILDLINK3_MK
 
Index: ./devel/gdbada/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/gdbada/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./devel/gdbada/buildlink3.mk	5 Feb 2006 23:08:42 -0000	1.3
+++ ./devel/gdbada/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -9,8 +9,8 @@
 
 .if !empty(GDBADA_BUILDLINK3_MK:M+)
 BUILDLINK_PACKAGES+=		gdbada
-BUILDLINK_DEPENDS.gdbada+=	gdbada>=5.3
-BUILDLINK_RECOMMENDED.gdbada+=	gdbada>=6.3nb1
+BUILDLINK_API_DEPENDS.gdbada+=	gdbada>=5.3
+BUILDLINK_ABI_DEPENDS.gdbada+=	gdbada>=6.3nb1
 BUILDLINK_PKGSRCDIR.gdbada?=	../../devel/gdbada
 
 .include "../../mk/pthread.buildlink3.mk"
